// { "framework": "Vue" }

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 72);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var bind = __webpack_require__(31);
var isBuffer = __webpack_require__(51);

/*global toString:true*/

// utils is a library of generic helper functions non-specific to axios

var toString = Object.prototype.toString;

/**
 * Determine if a value is an Array
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is an Array, otherwise false
 */
function isArray(val) {
  return toString.call(val) === '[object Array]';
}

/**
 * Determine if a value is an ArrayBuffer
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is an ArrayBuffer, otherwise false
 */
function isArrayBuffer(val) {
  return toString.call(val) === '[object ArrayBuffer]';
}

/**
 * Determine if a value is a FormData
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is an FormData, otherwise false
 */
function isFormData(val) {
  return typeof FormData !== 'undefined' && val instanceof FormData;
}

/**
 * Determine if a value is a view on an ArrayBuffer
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a view on an ArrayBuffer, otherwise false
 */
function isArrayBufferView(val) {
  var result;
  if (typeof ArrayBuffer !== 'undefined' && ArrayBuffer.isView) {
    result = ArrayBuffer.isView(val);
  } else {
    result = val && val.buffer && val.buffer instanceof ArrayBuffer;
  }
  return result;
}

/**
 * Determine if a value is a String
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a String, otherwise false
 */
function isString(val) {
  return typeof val === 'string';
}

/**
 * Determine if a value is a Number
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a Number, otherwise false
 */
function isNumber(val) {
  return typeof val === 'number';
}

/**
 * Determine if a value is undefined
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if the value is undefined, otherwise false
 */
function isUndefined(val) {
  return typeof val === 'undefined';
}

/**
 * Determine if a value is an Object
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is an Object, otherwise false
 */
function isObject(val) {
  return val !== null && (typeof val === 'undefined' ? 'undefined' : _typeof(val)) === 'object';
}

/**
 * Determine if a value is a Date
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a Date, otherwise false
 */
function isDate(val) {
  return toString.call(val) === '[object Date]';
}

/**
 * Determine if a value is a File
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a File, otherwise false
 */
function isFile(val) {
  return toString.call(val) === '[object File]';
}

/**
 * Determine if a value is a Blob
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a Blob, otherwise false
 */
function isBlob(val) {
  return toString.call(val) === '[object Blob]';
}

/**
 * Determine if a value is a Function
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a Function, otherwise false
 */
function isFunction(val) {
  return toString.call(val) === '[object Function]';
}

/**
 * Determine if a value is a Stream
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a Stream, otherwise false
 */
function isStream(val) {
  return isObject(val) && isFunction(val.pipe);
}

/**
 * Determine if a value is a URLSearchParams object
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a URLSearchParams object, otherwise false
 */
function isURLSearchParams(val) {
  return typeof URLSearchParams !== 'undefined' && val instanceof URLSearchParams;
}

/**
 * Trim excess whitespace off the beginning and end of a string
 *
 * @param {String} str The String to trim
 * @returns {String} The String freed of excess whitespace
 */
function trim(str) {
  return str.replace(/^\s*/, '').replace(/\s*$/, '');
}

/**
 * Determine if we're running in a standard browser environment
 *
 * This allows axios to run in a web worker, and react-native.
 * Both environments support XMLHttpRequest, but not fully standard globals.
 *
 * web workers:
 *  typeof window -> undefined
 *  typeof document -> undefined
 *
 * react-native:
 *  navigator.product -> 'ReactNative'
 */
function isStandardBrowserEnv() {
  if (typeof navigator !== 'undefined' && navigator.product === 'ReactNative') {
    return false;
  }
  return typeof window !== 'undefined' && typeof document !== 'undefined';
}

/**
 * Iterate over an Array or an Object invoking a function for each item.
 *
 * If `obj` is an Array callback will be called passing
 * the value, index, and complete array for each item.
 *
 * If 'obj' is an Object callback will be called passing
 * the value, key, and complete object for each property.
 *
 * @param {Object|Array} obj The object to iterate
 * @param {Function} fn The callback to invoke for each item
 */
function forEach(obj, fn) {
  // Don't bother if no value provided
  if (obj === null || typeof obj === 'undefined') {
    return;
  }

  // Force an array if not already something iterable
  if ((typeof obj === 'undefined' ? 'undefined' : _typeof(obj)) !== 'object') {
    /*eslint no-param-reassign:0*/
    obj = [obj];
  }

  if (isArray(obj)) {
    // Iterate over array values
    for (var i = 0, l = obj.length; i < l; i++) {
      fn.call(null, obj[i], i, obj);
    }
  } else {
    // Iterate over object keys
    for (var key in obj) {
      if (Object.prototype.hasOwnProperty.call(obj, key)) {
        fn.call(null, obj[key], key, obj);
      }
    }
  }
}

/**
 * Accepts varargs expecting each argument to be an object, then
 * immutably merges the properties of each object and returns result.
 *
 * When multiple objects contain the same key the later object in
 * the arguments list will take precedence.
 *
 * Example:
 *
 * ```js
 * var result = merge({foo: 123}, {foo: 456});
 * console.log(result.foo); // outputs 456
 * ```
 *
 * @param {Object} obj1 Object to merge
 * @returns {Object} Result of all merge properties
 */
function merge() /* obj1, obj2, obj3, ... */{
  var result = {};
  function assignValue(val, key) {
    if (_typeof(result[key]) === 'object' && (typeof val === 'undefined' ? 'undefined' : _typeof(val)) === 'object') {
      result[key] = merge(result[key], val);
    } else {
      result[key] = val;
    }
  }

  for (var i = 0, l = arguments.length; i < l; i++) {
    forEach(arguments[i], assignValue);
  }
  return result;
}

/**
 * Extends object a by mutably adding to it the properties of object b.
 *
 * @param {Object} a The object to be extended
 * @param {Object} b The object to copy properties from
 * @param {Object} thisArg The object to bind function to
 * @return {Object} The resulting value of object a
 */
function extend(a, b, thisArg) {
  forEach(b, function assignValue(val, key) {
    if (thisArg && typeof val === 'function') {
      a[key] = bind(val, thisArg);
    } else {
      a[key] = val;
    }
  });
  return a;
}

module.exports = {
  isArray: isArray,
  isArrayBuffer: isArrayBuffer,
  isBuffer: isBuffer,
  isFormData: isFormData,
  isArrayBufferView: isArrayBufferView,
  isString: isString,
  isNumber: isNumber,
  isObject: isObject,
  isUndefined: isUndefined,
  isDate: isDate,
  isFile: isFile,
  isBlob: isBlob,
  isFunction: isFunction,
  isStream: isStream,
  isURLSearchParams: isURLSearchParams,
  isStandardBrowserEnv: isStandardBrowserEnv,
  forEach: forEach,
  merge: merge,
  extend: extend,
  trim: trim
};

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _Widget = __webpack_require__(2);

var _Widget2 = _interopRequireDefault(_Widget);

var _fontFace = __webpack_require__(13);

var _fontFace2 = _interopRequireDefault(_fontFace);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

Vue.use(new _Widget2.default({
    ajax: {
        baseUrl: 'http://www.kuwo.cn',
        // 接口超时时间
        timeout: 30000,
        /**
         * 请求发送统一拦截器 （可选）
         * options 你请求传入的所有参数和配置
         * next
         */
        requestHandler: function requestHandler(options, next) {
            console.log('request-opts', options);
            next();
        },

        /**
         * 请求返回统一拦截器 （可选）
         * options 你请求传入的所有参数和配置
         * resData 服务器端返回的所有数据
         * resolve 请求成功请resolve你得结果，这样请求的.then中的成功回调就能拿到你resolve的数据
         * reject 请求成功请resolve你得结果，这样请求的.then中的失败回调就能拿到你reject的数据
         */
        responseHandler: function responseHandler(options, resData, resolve, reject) {
            var status = resData.status,
                errorMsg = resData.errorMsg,
                data = resData.data;

            if (status !== 200) {
                console.log('invoke error status: ' + status);
                console.log('invoke error message: ' + errorMsg);
                reject(resData);
            } else {
                // 自定义请求逻辑
                resolve(data);
            }
        }
    },
    iconfont: _fontFace2.default
}));

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }(); // 路由

// 发送请求

// modal

// Dom

// Tool

// 埋点上报

// 全局属性

// Navigator 设置

// storage

// picker

// Auth


var _router = __webpack_require__(9);

var _router2 = _interopRequireDefault(_router);

var _axios = __webpack_require__(10);

var _axios2 = _interopRequireDefault(_axios);

var _modal = __webpack_require__(11);

var _modal2 = _interopRequireDefault(_modal);

var _dom = __webpack_require__(12);

var _dom2 = _interopRequireDefault(_dom);

var _tools = __webpack_require__(27);

var _tools2 = _interopRequireDefault(_tools);

var _appear = __webpack_require__(21);

var _appear2 = _interopRequireDefault(_appear);

var _global = __webpack_require__(23);

var _global2 = _interopRequireDefault(_global);

var _nav = __webpack_require__(24);

var _nav2 = _interopRequireDefault(_nav);

var _storage = __webpack_require__(26);

var _storage2 = _interopRequireDefault(_storage);

var _picker = __webpack_require__(25);

var _picker2 = _interopRequireDefault(_picker);

var _auth = __webpack_require__(22);

var _auth2 = _interopRequireDefault(_auth);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var instance = null;

var Widget = function () {
    function Widget(_ref) {
        var ajax = _ref.ajax,
            iconfont = _ref.iconfont;

        _classCallCheck(this, Widget);

        if (!instance) {
            this.ajax = ajax;
            this.iconfont = iconfont;
            instance = this;
        }
        return instance;
    }

    _createClass(Widget, [{
        key: 'install',
        value: function install(Vue) {
            Vue.use(new _axios2.default(this.ajax));
            Vue.use(new _router2.default());
            Vue.use(new _modal2.default());
            Vue.use(new _dom2.default(this.iconfont));
            Vue.use(new _tools2.default());
            Vue.use(new _appear2.default());
            Vue.use(new _global2.default());
            Vue.use(new _nav2.default());
            Vue.use(new _storage2.default());
            Vue.use(new _picker2.default());
            Vue.use(new _auth2.default());
        }
    }]);

    return Widget;
}();

exports.default = Widget;

/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var baseGetTag = __webpack_require__(42),
    isObject = __webpack_require__(47);

/** `Object#toString` result references. */
var asyncTag = '[object AsyncFunction]',
    funcTag = '[object Function]',
    genTag = '[object GeneratorFunction]',
    proxyTag = '[object Proxy]';

/**
 * Checks if `value` is classified as a `Function` object.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a function, else `false`.
 * @example
 *
 * _.isFunction(_);
 * // => true
 *
 * _.isFunction(/abc/);
 * // => false
 */
function isFunction(value) {
    if (!isObject(value)) {
        return false;
    }
    // The use of `Object#toString` avoids issues with the `typeof` operator
    // in Safari 9 which returns 'object' for typed arrays and other constructors.
    var tag = baseGetTag(value);
    return tag == funcTag || tag == genTag || tag == asyncTag || tag == proxyTag;
}

module.exports = isFunction;

/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(36)
)

/* script */
__vue_exports__ = __webpack_require__(37)

/* template */
var __vue_template__ = __webpack_require__(41)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-57509004"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(38)
)

/* script */
__vue_exports__ = __webpack_require__(39)

/* template */
var __vue_template__ = __webpack_require__(40)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-17c51cce"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__(14);

__webpack_require__(16);

__webpack_require__(17);

__webpack_require__(18);

__webpack_require__(19);

__webpack_require__(20);

weex.registerModule('modal');
weex.registerModule('dom');
weex.registerModule('storage');

/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "assets/operation.png";

/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "assets/operation_dark.png";

/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.DEFAULT_ANIMATETYPE = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _isFunction2 = __webpack_require__(3);

var _isFunction3 = _interopRequireDefault(_isFunction2);

var _isUndefined2 = __webpack_require__(30);

var _isUndefined3 = _interopRequireDefault(_isUndefined2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var router = weex.requireModule("kwRouter");
// 客户端默认打开页面的动画
var DEFAULT_ANIMATETYPE = exports.DEFAULT_ANIMATETYPE = "PUSH";

var reURL = /^(https?|http):\/\/.+$/;

var Router = function () {
    function Router() {
        _classCallCheck(this, Router);

        return this;
    }

    _createClass(Router, [{
        key: "install",
        value: function install(Vue, options) {
            Vue.prototype.$router = {
                // 打开kweex页面
                open: function open() {
                    var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                    var page = options.page || '';
                    if (page) {

                        if (weex.config.kweex && reURL.test(weex.config.bundleUrl)) {
                            var arr = weex.config.bundleUrl.split('/');
                            arr.splice(arr.length - 1, 1, page + ".js");
                            options.url = arr.join('/');
                            delete options.page;
                        } else {
                            if (!/\//.test(page)) {
                                options.page = Vue.prototype.$appid + '/' + page + '.js';
                            } else if (!/.js/.test(page)) {
                                options.page = page + '.js';
                            }
                        }
                    }
                    // Vue.prototype.$alert({
                    //     message: JSON.stringify(options)
                    // });
                    router.open(options, function () {});
                },
                openNative: function openNative() {
                    var _this = this;

                    var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
                    var callback = arguments[1];

                    if ((0, _isUndefined3.default)(options.t)) {
                        return;
                    }
                    router.openNative(options, function (res) {
                        if ((0, _isFunction3.default)(callback)) {
                            callback.call(_this, res);
                        }
                    });
                },

                // 跳转原生界面
                jumpNative: function jumpNative() {
                    var _this2 = this;

                    var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
                    var callback = arguments[1];

                    Vue.prototype.$toast({
                        message: JSON.stringify(options)
                    });
                    router.jumpNative(options, function (res) {
                        if ((0, _isFunction3.default)(callback)) {
                            callback.call(_this2, res);
                        }
                    });
                },

                // 跳转原生集合页
                jumpNativeCollection: function jumpNativeCollection() {
                    var _this3 = this;

                    var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
                    var callback = arguments[1];

                    Vue.prototype.$toast({
                        message: JSON.stringify(options)
                    });
                    router.jumpNativeCollection(options, function (res) {
                        if ((0, _isFunction3.default)(callback)) {
                            callback.call(_this3, res);
                        }
                    });
                },

                // 返回上一页
                back: function back() {
                    var _this4 = this;

                    var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                    router.back({
                        type: options.type || DEFAULT_ANIMATETYPE,
                        length: options.length || 1
                    }, function (res) {
                        if ((0, _isFunction3.default)(options.callback)) {
                            options.callback.call(_this4, res);
                        }
                    });
                },

                // 获取当前页面传入的参数
                getParams: function getParams(callback) {
                    var _this5 = this;

                    router.getParams(function (res) {
                        if ((0, _isFunction3.default)(callback)) {
                            callback.call(_this5, res);
                        }
                    });
                },

                // 刷新当前页面
                refresh: function refresh() {
                    router.refresh();
                },

                // 刷新当前页面为指定页面
                refreshOpen: function refreshOpen(params, callback) {
                    var _this6 = this;

                    router.refreshOpen(params, function (res) {
                        if ((0, _isFunction3.default)(callback)) {
                            callback.call(_this6, res);
                        }
                    });
                },

                // 打开webview
                toWebView: function toWebView(params) {
                    if (!params.url) return;
                    params.title = params.title || 'kuwo-weex';
                    router.toWebView(params);
                },

                // 打开原生浏览器
                openBrowser: function openBrowser() {
                    var url = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : "";

                    if (!url) return;
                    router.openBrowser(url);
                },

                // 起调APP专辑界面
                goAlbumPage: function goAlbumPage() {
                    var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
                    var callback = arguments[1];

                    var preOptions = {
                        t: 13,
                        u: options.id,
                        n: options.name,
                        c: options.openDownPage
                    };
                    if ((0, _isUndefined3.default)(preOptions.u)) {
                        return;
                    }
                    this.openNative(preOptions, callback);
                },

                // 起调APP专区界面
                goAreaPage: function goAreaPage() {
                    var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
                    var callback = arguments[1];

                    var preOptions = {
                        t: 43,
                        u: options.id,
                        n: options.name
                    };
                    if ((0, _isUndefined3.default)(preOptions.u)) {
                        return;
                    }
                    this.openNative(preOptions, callback);
                },

                // 起调MV界面
                goMvPage: function goMvPage() {
                    var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
                    var callback = arguments[1];

                    var preOptions = {
                        t: 7,
                        u: options.id,
                        n: options.name
                    };
                    if ((0, _isUndefined3.default)(preOptions.u)) {
                        return;
                    }
                    this.openNative(preOptions, callback);
                },

                // 起调feed流视频页
                goFeedVideoPage: function goFeedVideoPage() {
                    var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
                    var callback = arguments[1];

                    var preOptions = {
                        t: 74,
                        u: options.id,
                        n: options.name
                    };
                    if ((0, _isUndefined3.default)(preOptions.u)) {
                        return;
                    }
                    this.openNative(preOptions, callback);
                }
            };
        }
    }]);

    return Router;
}();

exports.default = Router;

/***/ }),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _isFunction2 = __webpack_require__(3);

var _isFunction3 = _interopRequireDefault(_isFunction2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var kwAxios = weex.requireModule('kwAxios');

var Axios = function () {
    function Axios(_ref) {
        var timeout = _ref.timeout,
            _ref$baseUrl = _ref.baseUrl,
            baseUrl = _ref$baseUrl === undefined ? '' : _ref$baseUrl,
            requestHandler = _ref.requestHandler,
            responseHandler = _ref.responseHandler;

        _classCallCheck(this, Axios);

        this.timeout = timeout;
        this.baseUrl = baseUrl;
        this.requestHandler = requestHandler;
        this.responseHandler = responseHandler;
        return this;
    }

    _createClass(Axios, [{
        key: 'install',
        value: function install(Vue) {
            var self = this;
            Vue.prototype.$fetch = function (options) {
                return new Promise(function (resolve, reject) {
                    if ((0, _isFunction3.default)(self.requestHandler)) {
                        self.requestHandler(options, function () {
                            handleAxios(options, resolve, reject);
                        });
                    } else {
                        handleAxios(options, resolve, reject);
                    }
                });
            };
            Vue.prototype.$get = function (options) {
                options.method = 'GET';
                return new Promise(function (resolve, reject) {
                    if ((0, _isFunction3.default)(self.requestHandler)) {
                        self.requestHandler(options, function () {
                            handleAxios(options, resolve, reject);
                        });
                    } else {
                        handleAxios(options, resolve, reject);
                    }
                });
            };
            Vue.prototype.$post = function (options) {
                options.method = 'POST';
                return new Promise(function (resolve, reject) {
                    if ((0, _isFunction3.default)(self.requestHandler)) {
                        self.requestHandler(options, function () {
                            handleAxios(options, resolve, reject);
                        });
                    } else {
                        handleAxios(options, resolve, reject);
                    }
                });
            };

            function handleAxios(options, resolve, reject) {
                var url = options.url,
                    data = options.data,
                    method = options.method,
                    header = options.header,
                    cache = options.cache,
                    timeout = options.timeout;

                kwAxios.fetch({
                    url: url,
                    data: data || {},
                    method: method && method.toUpperCase() || 'GET',
                    header: header || {},
                    timeout: timeout || self.timeout,
                    cache: cache || false
                }, function (resData) {
                    // 统一的监控
                    if ((0, _isFunction3.default)(self.responseHandler)) {
                        self.responseHandler(options, resData, resolve, reject);
                    } else {
                        resolve(resData);
                    }
                });
            }
        }
    }]);

    return Axios;
}();

exports.default = Axios;

/***/ }),
/* 11 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var modal = weex.requireModule('modal');

var Modal = function () {
    function Modal() {
        _classCallCheck(this, Modal);

        return this;
    }

    _createClass(Modal, [{
        key: 'install',
        value: function install(Vue, options) {
            var self = this;
            Vue.prototype.$alert = function (options, callback) {
                modal.alert(options, callback);
            };
            Vue.prototype.$toast = function (options) {
                modal.toast(options);
            };
            Vue.prototype.$confirm = function (options, callback) {
                modal.confirm(options, callback);
            };
            Vue.prototype.$prompt = function (options, callback) {
                modal.prompt(options, callback);
            };
        }
    }]);

    return Modal;
}();

exports.default = Modal;

/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var domModule = weex.requireModule('dom');
var reURL = /^(https?|http):\/\/.+$/;

var dom = function () {
    function dom(options) {
        _classCallCheck(this, dom);

        this.options = options || {};
        return this;
    }

    _createClass(dom, [{
        key: 'install',
        value: function install(Vue, options) {
            var self = this;
            Vue.prototype.$dom = {
                scrollToElement: undefined,
                getComponentRect: undefined
            };
            Vue.mixin({
                beforeCreate: function beforeCreate() {
                    if (this.$root === this) {
                        this.$dom.scrollToElement = domModule.scrollToElement;
                        this.$dom.getComponentRect = domModule.getComponentRect;
                        Object.keys(self.options).forEach(function (key) {
                            console.log(key, self.options[key]);
                            if (!reURL.test(self.options[key])) {
                                console.log(self.options[key]);
                                __webpack_require__(48)("./" + self.options[key]);
                            }
                            domModule.addRule('fontFace', {
                                'fontFamily': key,
                                'src': 'url(\'' + self.options[key] + '\')'
                            });
                        });
                    }
                }
            });
        }
    }]);

    return dom;
}();

exports.default = dom;

/***/ }),
/* 13 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = {
    iconfont2: 'http://at.alicdn.com/t/font_1469606063_76593.ttf',
    iconfont4: 'http://at.alicdn.com/t/font_zn5b3jswpofuhaor.ttf',
    iconfont3: 'http://at.alicdn.com/t/font_794591_id9pzuqkffa.ttf'
};

/***/ }),
/* 14 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


weex.registerModule('kwAxios', {
    fetch: function fetch(options, callback) {
        var axios = __webpack_require__(49);
        options.params = options.data;
        delete options.data;
        axios(options).then(callback);
        console.log('kwAxios Fetch: ', options);
    }
});

/***/ }),
/* 15 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(0);
var normalizeHeaderName = __webpack_require__(53);

var DEFAULT_CONTENT_TYPE = {
  'Content-Type': 'application/x-www-form-urlencoded'
};

function setContentTypeIfUnset(headers, value) {
  if (!utils.isUndefined(headers) && utils.isUndefined(headers['Content-Type'])) {
    headers['Content-Type'] = value;
  }
}

function getDefaultAdapter() {
  var adapter;
  if (typeof XMLHttpRequest !== 'undefined') {
    // For browsers use XHR adapter
    adapter = __webpack_require__(32);
  } else if (typeof process !== 'undefined') {
    // For node use HTTP adapter
    adapter = __webpack_require__(32);
  }
  return adapter;
}

var defaults = {
  adapter: getDefaultAdapter(),

  transformRequest: [function transformRequest(data, headers) {
    normalizeHeaderName(headers, 'Content-Type');
    if (utils.isFormData(data) || utils.isArrayBuffer(data) || utils.isBuffer(data) || utils.isStream(data) || utils.isFile(data) || utils.isBlob(data)) {
      return data;
    }
    if (utils.isArrayBufferView(data)) {
      return data.buffer;
    }
    if (utils.isURLSearchParams(data)) {
      setContentTypeIfUnset(headers, 'application/x-www-form-urlencoded;charset=utf-8');
      return data.toString();
    }
    if (utils.isObject(data)) {
      setContentTypeIfUnset(headers, 'application/json;charset=utf-8');
      return JSON.stringify(data);
    }
    return data;
  }],

  transformResponse: [function transformResponse(data) {
    /*eslint no-param-reassign:0*/
    if (typeof data === 'string') {
      try {
        data = JSON.parse(data);
      } catch (e) {/* Ignore */}
    }
    return data;
  }],

  /**
   * A timeout in milliseconds to abort a request. If set to 0 (default) a
   * timeout is not created.
   */
  timeout: 0,

  xsrfCookieName: 'XSRF-TOKEN',
  xsrfHeaderName: 'X-XSRF-TOKEN',

  maxContentLength: -1,

  validateStatus: function validateStatus(status) {
    return status >= 200 && status < 300;
  }
};

defaults.headers = {
  common: {
    'Accept': 'application/json, text/plain, */*'
  }
};

utils.forEach(['delete', 'get', 'head'], function forEachMethodNoData(method) {
  defaults.headers[method] = {};
});

utils.forEach(['post', 'put', 'patch'], function forEachMethodWithData(method) {
  defaults.headers[method] = utils.merge(DEFAULT_CONTENT_TYPE);
});

module.exports = defaults;

/***/ }),
/* 16 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


weex.registerModule('kwRouter', {
    open: function open(options, callback) {
        var jumpUrl = window.location.href;
        var url = options.url,
            page = options.page;

        if (url) {
            jumpUrl = url;
        } else {
            var pageName = page.split('/')[1];
            pageName = pageName.replace(/.js/ig, ".html");
            jumpUrl = './' + pageName;
        }
        console.log('kwRouter open: ', options);
        setTimeout(function () {
            window.location.href = jumpUrl;
        }, 300);
        callback && callback();
    },
    openNative: function openNative(options) {
        console.log('kwRouter openNative: ', options);
    },
    getParams: function getParams() {
        console.log('kwRouter getParams');
    },
    back: function back(optinos, callback) {
        setTimeout(function () {
            window.history.go(-1);
        }, 300);
        console.log('kwRouter back');
        callback && callback();
    },
    toWebView: function toWebView(optinos, callback) {
        var url = optinos.url;

        setTimeout(function () {
            window.location.href = url;
        }, 300);
        console.log('kwRouter toWebView');
        callback && callback();
    },
    openBrowser: function openBrowser(url) {
        window.open(url);
        console.log('kwRouter openBrowser');
    },
    refresh: function refresh() {
        setTimeout(function () {
            window.location.reload();
        }, 300);
        console.log('kwRouter refresh');
    },
    refreshOpen: function refreshOpen(options) {
        setTimeout(function () {
            window.location.reload();
        }, 300);
        console.log('kwRouter refreshOpen', options);
    }
});

/***/ }),
/* 17 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


weex.registerModule('kwTool', {
    resignKeyboard: function resignKeyboard(options, callback) {
        callback && callback();
    },
    copyString: function copyString(options, callback) {
        callback && callback();
    },
    scan: function scan(options, callback) {},
    networkStatus: function networkStatus(options, callback) {
        var connection = navigator.connection || navigator.mozConnection || navigator.webkitConnection;
        var type = connection.effectiveType;
        return type;
    },
    watchNetworkStatus: function watchNetworkStatus(callback) {},
    clearWatchNetworkStatus: function clearWatchNetworkStatus() {
        console.log('clearWatchNetworkStatus');
    },
    share: function share(options, callback) {
        console.log('share', options);
        callback && callback();
    },
    specificShare: function specificShare(options, callback) {
        console.log('specificShare', options);
        callback && callback();
    },
    log: function log(str, callback) {
        console.log('日志上报', str);
        callback && callback();
    },
    showLoading: function showLoading(callback) {
        callback && callback();
    },
    hideLoading: function hideLoading(callback) {
        callback && callback();
    }
});

/***/ }),
/* 18 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


weex.registerModule('kwNavigator', {
    setLeftItem: function setLeftItem(options, callback) {
        console.log('setLeftItem', options);
        // callback && callback();
    },
    setRightItem: function setRightItem(options, callback) {
        console.log('setRightItem', options);
        // callback && callback();
    },
    setNavigationInfo: function setNavigationInfo(options, callback) {
        console.log('setNavigationInfo', options);
        callback && callback();
    },
    statusBarHidden: function statusBarHidden(options, callback) {
        console.log('statusBarHidden', options);
        callback && callback();
    }
});

/***/ }),
/* 19 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


weex.registerModule('picker', {
    pickDate: function pickDate(options, callback) {
        console.log('pickDate: ', options);
        // callback && callback();
    },
    pick: function pick(options, callback) {
        console.log('pick: ', options);
        // callback && callback();
    },
    pickTime: function pickTime(optinos, callback) {
        console.log('pickTime', optinos);
        // callback && callback();
    }
});

/***/ }),
/* 20 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


weex.registerModule('kwAuth', {
    login: function login() {
        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
        var callback = arguments[1];

        console.log('kwAuth login: ', options);
        callback && callback();
    },
    getUserInfo: function getUserInfo(callback) {
        callback({
            uid: '2222'
        });
    }
});

/***/ }),
/* 21 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Appear = function () {
    function Appear() {
        _classCallCheck(this, Appear);

        return this;
    }

    _createClass(Appear, [{
        key: "install",
        value: function install(Vue, options) {
            Vue.mixin({
                methods: {
                    expose: function expose(str) {
                        Vue.prototype.$toast({
                            message: str
                        });
                    }
                }
            });
        }
    }]);

    return Appear;
}();

exports.default = Appear;
;

/***/ }),
/* 22 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _isFunction2 = __webpack_require__(3);

var _isFunction3 = _interopRequireDefault(_isFunction2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var auth = weex.requireModule("kwAuth");

var Auth = function () {
  function Auth() {
    _classCallCheck(this, Auth);

    return this;
  }

  _createClass(Auth, [{
    key: "install",
    value: function install(Vue, options) {
      var self = this;
      Vue.prototype.$auth = {
        login: function login() {
          var _this = this;

          var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
          var callback = arguments[1];

          auth.login(options, function (res) {
            if ((0, _isFunction3.default)(callback)) {
              callback.call(_this, res);
            }
          });
        },
        getUserInfo: function getUserInfo(callback) {
          var _this2 = this;

          auth.getUserInfo(function (res) {
            if ((0, _isFunction3.default)(callback)) {
              callback.call(_this2, res);
            }
          });
        }
      };
    }
  }]);

  return Auth;
}();

exports.default = Auth;

/***/ }),
/* 23 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var reURL = /^(https?|http):\/\/.+$/;

var Global = function () {
    function Global() {
        _classCallCheck(this, Global);

        return this;
    }

    _createClass(Global, [{
        key: 'install',
        value: function install(Vue, options) {
            Vue.mixin({
                data: function data() {
                    return Object.assign({
                        kweex: Object.assign({
                            env: weex.config.env,
                            bundleUrl: weex.config.bundleUrl,
                            isOnline: reURL.test(weex.config.bundleUrl)
                        }, weex.config.kweex || {
                            devid: 1,
                            platform: weex.config.env.platform,
                            uid: '',
                            sid: '',
                            temporaryUid: '',
                            temporarySid: '',
                            uname: '',
                            appuid: '',
                            source: '',
                            locationid: '',
                            version: '',
                            isSandBox: '',
                            jsServer: '',
                            urlParam: '',
                            skin: ''
                        })
                    }, this.$root === this && {
                        pageName: this.$options.pageName || 'kweexPage'
                    });
                }
            });
        }
    }]);

    return Global;
}();

exports.default = Global;
;

/***/ }),
/* 24 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _isFunction2 = __webpack_require__(3);

var _isFunction3 = _interopRequireDefault(_isFunction2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var navigator = weex.requireModule("kwNavigator");

var Navigator = function () {
    function Navigator() {
        _classCallCheck(this, Navigator);

        return this;
    }

    _createClass(Navigator, [{
        key: "install",
        value: function install(Vue, options) {
            Vue.mixin({
                beforeCreate: function beforeCreate() {
                    if (this.$root === this && this.$options.pageName) {
                        this.$navigator.setNavigationInfo({
                            title: this.$options.pageName
                        });
                    }
                }
            });
            Vue.prototype.$navigator = {
                setLeftItem: function setLeftItem(options, callback) {
                    navigator.setLeftItem(options, function () {
                        (0, _isFunction3.default)(callback) && callback();
                    });
                },
                setRightItem: function setRightItem(options, callback) {
                    navigator.setRightItem(options, function () {
                        (0, _isFunction3.default)(callback) && callback();
                    });
                },
                statusBarHidden: function statusBarHidden(options, callback) {
                    navigator.statusBarHidden(true);
                },
                setNavigationInfo: function setNavigationInfo(options, callback) {
                    navigator.setNavigationInfo(options, function () {
                        (0, _isFunction3.default)(callback) && callback();
                    });
                }
            };
        }
    }]);

    return Navigator;
}();

exports.default = Navigator;

/***/ }),
/* 25 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var picker = weex.requireModule('picker');

var Picker = function () {
    function Picker(options) {
        _classCallCheck(this, Picker);

        this.options = options || {};
        return this;
    }

    _createClass(Picker, [{
        key: 'install',
        value: function install(Vue, options) {
            var self = this;
            Vue.prototype.$picker = picker;
        }
    }]);

    return Picker;
}();

exports.default = Picker;

/***/ }),
/* 26 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var storage = weex.requireModule('storage');

var Storage = function () {
    function Storage() {
        _classCallCheck(this, Storage);

        return this;
    }

    _createClass(Storage, [{
        key: 'install',
        value: function install(Vue, options) {
            var self = this;
            Vue.prototype.$storage = storage;
        }
    }]);

    return Storage;
}();

exports.default = Storage;

/***/ }),
/* 27 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _isFunction2 = __webpack_require__(3);

var _isFunction3 = _interopRequireDefault(_isFunction2);

var _isUndefined2 = __webpack_require__(30);

var _isUndefined3 = _interopRequireDefault(_isUndefined2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var tool = weex.requireModule("kwTool");

var Tool = function () {
    function Tool() {
        _classCallCheck(this, Tool);

        return this;
    }

    _createClass(Tool, [{
        key: 'install',
        value: function install(Vue, options) {
            var self = this;

            /* 定义部分kweex页面事件
             *
             * - 监听网络状态
             */

            Vue.mixin({
                beforeCreate: function beforeCreate() {
                    var _this = this;

                    if ((0, _isUndefined3.default)(this.$options.kweex)) return;

                    if (!(0, _isUndefined3.default)(this.$options.kweex.networkStatus) && (0, _isFunction3.default)(this.$options.kweex.networkStatus)) {
                        tool.watchNetworkStatus(function (data) {
                            _this.$options.kweex.networkStatus.call(_this, data);
                        });
                    }

                    // 载入分享
                    if (this.$root === this) {
                        if (this.$options.kweex.share) {
                            this.$tool.share(this.$options.kweex.share);
                        }
                    }
                },
                mounted: function mounted() {
                    if (this.$root === this && this.$options.loading !== true) {
                        this.$tool.hideLoading();
                    }
                }
            });

            /* 定义Tool方法 */
            Vue.prototype.$tool = {
                hideLoading: function hideLoading(callback) {
                    var _this2 = this;

                    tool.hideLoading(function (res) {
                        if ((0, _isFunction3.default)(callback)) {
                            callback.call(_this2, res);
                        }
                    });
                },
                showLoading: function showLoading(callback) {
                    var _this3 = this;

                    tool.showLoading(function (res) {
                        if ((0, _isFunction3.default)(callback)) {
                            callback.call(_this3, res);
                        }
                    });
                },
                resignKeyboard: function resignKeyboard(callback) {
                    var _this4 = this;

                    tool.resignKeyboard(function (res) {
                        if ((0, _isFunction3.default)(callback)) {
                            callback.call(_this4, res);
                        }
                    });
                },
                networkStatus: function networkStatus() {
                    return tool.networkStatus();
                },
                copyString: function copyString(text, callback) {
                    var _this5 = this;

                    tool.copyString(text, function (res) {
                        if ((0, _isFunction3.default)(callback)) {
                            callback.call(_this5, res);
                        }
                    });
                },
                scan: function scan(callback) {
                    var _this6 = this;

                    tool.scan(function (res) {
                        if ((0, _isFunction3.default)(callback)) {
                            callback.call(_this6, res);
                        }
                    });
                },
                share: function share() {
                    var _this7 = this;

                    var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
                    var callback = arguments[1];

                    tool.share(options, function (res) {
                        if ((0, _isFunction3.default)(callback)) {
                            callback.call(_this7, data);
                        }
                    });
                },
                specificShare: function specificShare(options, callback) {
                    var _this8 = this;

                    tool.specificShare(options, function (res) {
                        if ((0, _isFunction3.default)(callback)) {
                            callback.call(_this8, res);
                        }
                    });
                },
                log: function log(str, callback) {
                    var _this9 = this;

                    tool.log(str, function (res) {
                        if ((0, _isFunction3.default)(callback)) {
                            callback.call(_this9, data);
                        }
                    });
                }
            };
        }
    }]);

    return Tool;
}();

exports.default = Tool;

/***/ }),
/* 28 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(68)
)

/* script */
__vue_exports__ = __webpack_require__(69)

/* template */
var __vue_template__ = __webpack_require__(70)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-cf02734c"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 29 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var root = __webpack_require__(43);

/** Built-in value references. */
var _Symbol = root.Symbol;

module.exports = _Symbol;

/***/ }),
/* 30 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Checks if `value` is `undefined`.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is `undefined`, else `false`.
 * @example
 *
 * _.isUndefined(void 0);
 * // => true
 *
 * _.isUndefined(null);
 * // => false
 */
function isUndefined(value) {
  return value === undefined;
}

module.exports = isUndefined;

/***/ }),
/* 31 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = function bind(fn, thisArg) {
  return function wrap() {
    var args = new Array(arguments.length);
    for (var i = 0; i < args.length; i++) {
      args[i] = arguments[i];
    }
    return fn.apply(thisArg, args);
  };
};

/***/ }),
/* 32 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(0);
var settle = __webpack_require__(54);
var buildURL = __webpack_require__(56);
var parseHeaders = __webpack_require__(57);
var isURLSameOrigin = __webpack_require__(58);
var createError = __webpack_require__(33);
var btoa = typeof window !== 'undefined' && window.btoa && window.btoa.bind(window) || __webpack_require__(59);

module.exports = function xhrAdapter(config) {
  return new Promise(function dispatchXhrRequest(resolve, reject) {
    var requestData = config.data;
    var requestHeaders = config.headers;

    if (utils.isFormData(requestData)) {
      delete requestHeaders['Content-Type']; // Let the browser set it
    }

    var request = new XMLHttpRequest();
    var loadEvent = 'onreadystatechange';
    var xDomain = false;

    // For IE 8/9 CORS support
    // Only supports POST and GET calls and doesn't returns the response headers.
    // DON'T do this for testing b/c XMLHttpRequest is mocked, not XDomainRequest.
    if (process.env.NODE_ENV !== 'test' && typeof window !== 'undefined' && window.XDomainRequest && !('withCredentials' in request) && !isURLSameOrigin(config.url)) {
      request = new window.XDomainRequest();
      loadEvent = 'onload';
      xDomain = true;
      request.onprogress = function handleProgress() {};
      request.ontimeout = function handleTimeout() {};
    }

    // HTTP basic authentication
    if (config.auth) {
      var username = config.auth.username || '';
      var password = config.auth.password || '';
      requestHeaders.Authorization = 'Basic ' + btoa(username + ':' + password);
    }

    request.open(config.method.toUpperCase(), buildURL(config.url, config.params, config.paramsSerializer), true);

    // Set the request timeout in MS
    request.timeout = config.timeout;

    // Listen for ready state
    request[loadEvent] = function handleLoad() {
      if (!request || request.readyState !== 4 && !xDomain) {
        return;
      }

      // The request errored out and we didn't get a response, this will be
      // handled by onerror instead
      // With one exception: request that using file: protocol, most browsers
      // will return status as 0 even though it's a successful request
      if (request.status === 0 && !(request.responseURL && request.responseURL.indexOf('file:') === 0)) {
        return;
      }

      // Prepare the response
      var responseHeaders = 'getAllResponseHeaders' in request ? parseHeaders(request.getAllResponseHeaders()) : null;
      var responseData = !config.responseType || config.responseType === 'text' ? request.responseText : request.response;
      var response = {
        data: responseData,
        // IE sends 1223 instead of 204 (https://github.com/axios/axios/issues/201)
        status: request.status === 1223 ? 204 : request.status,
        statusText: request.status === 1223 ? 'No Content' : request.statusText,
        headers: responseHeaders,
        config: config,
        request: request
      };

      settle(resolve, reject, response);

      // Clean up request
      request = null;
    };

    // Handle low level network errors
    request.onerror = function handleError() {
      // Real errors are hidden from us by the browser
      // onerror should only fire if it's a network error
      reject(createError('Network Error', config, null, request));

      // Clean up request
      request = null;
    };

    // Handle timeout
    request.ontimeout = function handleTimeout() {
      reject(createError('timeout of ' + config.timeout + 'ms exceeded', config, 'ECONNABORTED', request));

      // Clean up request
      request = null;
    };

    // Add xsrf header
    // This is only done if running in a standard browser environment.
    // Specifically not if we're in a web worker, or react-native.
    if (utils.isStandardBrowserEnv()) {
      var cookies = __webpack_require__(60);

      // Add xsrf header
      var xsrfValue = (config.withCredentials || isURLSameOrigin(config.url)) && config.xsrfCookieName ? cookies.read(config.xsrfCookieName) : undefined;

      if (xsrfValue) {
        requestHeaders[config.xsrfHeaderName] = xsrfValue;
      }
    }

    // Add headers to the request
    if ('setRequestHeader' in request) {
      utils.forEach(requestHeaders, function setRequestHeader(val, key) {
        if (typeof requestData === 'undefined' && key.toLowerCase() === 'content-type') {
          // Remove Content-Type if data is undefined
          delete requestHeaders[key];
        } else {
          // Otherwise add header to the request
          request.setRequestHeader(key, val);
        }
      });
    }

    // Add withCredentials to request if needed
    if (config.withCredentials) {
      request.withCredentials = true;
    }

    // Add responseType to request if needed
    if (config.responseType) {
      try {
        request.responseType = config.responseType;
      } catch (e) {
        // Expected DOMException thrown by browsers not compatible XMLHttpRequest Level 2.
        // But, this can be suppressed for 'json' type as it can be parsed by default 'transformResponse' function.
        if (config.responseType !== 'json') {
          throw e;
        }
      }
    }

    // Handle progress if needed
    if (typeof config.onDownloadProgress === 'function') {
      request.addEventListener('progress', config.onDownloadProgress);
    }

    // Not all browsers support upload events
    if (typeof config.onUploadProgress === 'function' && request.upload) {
      request.upload.addEventListener('progress', config.onUploadProgress);
    }

    if (config.cancelToken) {
      // Handle cancellation
      config.cancelToken.promise.then(function onCanceled(cancel) {
        if (!request) {
          return;
        }

        request.abort();
        reject(cancel);
        // Clean up request
        request = null;
      });
    }

    if (requestData === undefined) {
      requestData = null;
    }

    // Send the request
    request.send(requestData);
  });
};

/***/ }),
/* 33 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var enhanceError = __webpack_require__(55);

/**
 * Create an Error with the specified message, config, error code, request and response.
 *
 * @param {string} message The error message.
 * @param {Object} config The config.
 * @param {string} [code] The error code (for example, 'ECONNABORTED').
 * @param {Object} [request] The request.
 * @param {Object} [response] The response.
 * @returns {Error} The created error.
 */
module.exports = function createError(message, config, code, request, response) {
  var error = new Error(message);
  return enhanceError(error, config, code, request, response);
};

/***/ }),
/* 34 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = function isCancel(value) {
  return !!(value && value.__CANCEL__);
};

/***/ }),
/* 35 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * A `Cancel` is an object that is thrown when an operation is canceled.
 *
 * @class
 * @param {string=} message The message.
 */

function Cancel(message) {
  this.message = message;
}

Cancel.prototype.toString = function toString() {
  return 'Cancel' + (this.message ? ': ' + this.message : '');
};

Cancel.prototype.__CANCEL__ = true;

module.exports = Cancel;

/***/ }),
/* 36 */
/***/ (function(module, exports) {

module.exports = {
  "theme": {
    "backgroundColor": "rgba(255,255,255,1)"
  },
  "immersion": {
    "backgroundColor": "rgba(44,44,44,1)"
  },
  "warp": {
    "alignItems": "center"
  },
  "pic": {
    "marginTop": "241",
    "width": "570",
    "height": "393"
  },
  "txt": {
    "fontFamily": "'PingFangSC'",
    "color": "#666666",
    "fontSize": "30",
    "marginTop": "20",
    "marginBottom": "212"
  }
}

/***/ }),
/* 37 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _kwButton = __webpack_require__(5);

var _kwButton2 = _interopRequireDefault(_kwButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    components: {
        KwButton: _kwButton2.default
    },
    data: function data() {
        return {
            skinType: 'theme'
        };
    },

    computed: {
        pic: function pic() {
            var pic = {
                theme: __webpack_require__(7),
                immersion: __webpack_require__(8)
            };
            var type = typeof this.kweex.skin.type === 'undefined' ? 'theme' : this.kweex.skin.type;
            this.skinType = type;
            return pic[type];
        }
    }
}; //
//
//
//
//
//
//
//
//

/***/ }),
/* 38 */
/***/ (function(module, exports) {

module.exports = {
  "btn-text": {
    "textAlign": "center",
    "textOverflow": "ellipsis",
    "lines": 1,
    "fontSize": "32",
    "fontFamily": "'PingFangSC'",
    "color": "#333333",
    "lineHeight": "88"
  },
  "button": {
    "borderWidth": "1",
    "borderStyle": "solid",
    "borderColor": "#FFD300",
    "backgroundColor": "#FFD300",
    "borderRadius": "6",
    "width": "430",
    "height": "88"
  }
}

/***/ }),
/* 39 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        text: {
            type: String,
            default: '确定'
        },
        page: {
            type: String,
            default: ''
        }
    },
    methods: {
        onClicked: function onClicked(e) {
            var page = this.page;

            if (page) {
                this.$router.open({
                    page: page
                });
                return;
            }
            this.$emit('actionClick');
        }
    }
};

/***/ }),
/* 40 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["button"]
  }, [_c('text', {
    staticClass: ["btn-text"],
    on: {
      "click": _vm.onClicked
    }
  }, [_vm._v(_vm._s(_vm.text))])])
},staticRenderFns: []}

/***/ }),
/* 41 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('scroller', {
    class: [_vm.skinType === 'theme' ? 'theme' : 'immersion']
  }, [_c('div', {
    staticClass: ["warp"]
  }, [_c('image', {
    staticClass: ["pic"],
    attrs: {
      "src": _vm.pic
    }
  }), _c('text', {
    staticClass: ["txt"]
  }, [_vm._v("未找到您需要打开的页面")])])])
},staticRenderFns: []}

/***/ }),
/* 42 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _Symbol = __webpack_require__(29),
    getRawTag = __webpack_require__(45),
    objectToString = __webpack_require__(46);

/** `Object#toString` result references. */
var nullTag = '[object Null]',
    undefinedTag = '[object Undefined]';

/** Built-in value references. */
var symToStringTag = _Symbol ? _Symbol.toStringTag : undefined;

/**
 * The base implementation of `getTag` without fallbacks for buggy environments.
 *
 * @private
 * @param {*} value The value to query.
 * @returns {string} Returns the `toStringTag`.
 */
function baseGetTag(value) {
    if (value == null) {
        return value === undefined ? undefinedTag : nullTag;
    }
    return symToStringTag && symToStringTag in Object(value) ? getRawTag(value) : objectToString(value);
}

module.exports = baseGetTag;

/***/ }),
/* 43 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var freeGlobal = __webpack_require__(44);

/** Detect free variable `self`. */
var freeSelf = (typeof self === 'undefined' ? 'undefined' : _typeof(self)) == 'object' && self && self.Object === Object && self;

/** Used as a reference to the global object. */
var root = freeGlobal || freeSelf || Function('return this')();

module.exports = root;

/***/ }),
/* 44 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

/** Detect free variable `global` from Node.js. */
var freeGlobal = (typeof global === 'undefined' ? 'undefined' : _typeof(global)) == 'object' && global && global.Object === Object && global;

module.exports = freeGlobal;

/***/ }),
/* 45 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _Symbol = __webpack_require__(29);

/** Used for built-in method references. */
var objectProto = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty = objectProto.hasOwnProperty;

/**
 * Used to resolve the
 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
 * of values.
 */
var nativeObjectToString = objectProto.toString;

/** Built-in value references. */
var symToStringTag = _Symbol ? _Symbol.toStringTag : undefined;

/**
 * A specialized version of `baseGetTag` which ignores `Symbol.toStringTag` values.
 *
 * @private
 * @param {*} value The value to query.
 * @returns {string} Returns the raw `toStringTag`.
 */
function getRawTag(value) {
  var isOwn = hasOwnProperty.call(value, symToStringTag),
      tag = value[symToStringTag];

  try {
    value[symToStringTag] = undefined;
    var unmasked = true;
  } catch (e) {}

  var result = nativeObjectToString.call(value);
  if (unmasked) {
    if (isOwn) {
      value[symToStringTag] = tag;
    } else {
      delete value[symToStringTag];
    }
  }
  return result;
}

module.exports = getRawTag;

/***/ }),
/* 46 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/** Used for built-in method references. */
var objectProto = Object.prototype;

/**
 * Used to resolve the
 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
 * of values.
 */
var nativeObjectToString = objectProto.toString;

/**
 * Converts `value` to a string using `Object.prototype.toString`.
 *
 * @private
 * @param {*} value The value to convert.
 * @returns {string} Returns the converted string.
 */
function objectToString(value) {
  return nativeObjectToString.call(value);
}

module.exports = objectToString;

/***/ }),
/* 47 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

/**
 * Checks if `value` is the
 * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
 * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
 * @example
 *
 * _.isObject({});
 * // => true
 *
 * _.isObject([1, 2, 3]);
 * // => true
 *
 * _.isObject(_.noop);
 * // => true
 *
 * _.isObject(null);
 * // => false
 */
function isObject(value) {
  var type = typeof value === 'undefined' ? 'undefined' : _typeof(value);
  return value != null && (type == 'object' || type == 'function');
}

module.exports = isObject;

/***/ }),
/* 48 */
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"./assets/operation.png": 7,
	"./assets/operation_dark.png": 8,
	"./components/kwButton": 5,
	"./components/kwButton.vue": 5,
	"./config": 1,
	"./config/": 1,
	"./config/fontFace": 13,
	"./config/fontFace.js": 13,
	"./config/index": 1,
	"./config/index.js": 1,
	"./module": 6,
	"./module/": 6,
	"./module/index": 6,
	"./module/index.js": 6,
	"./module/kwAuth": 20,
	"./module/kwAuth.js": 20,
	"./module/kwAxios": 14,
	"./module/kwAxios.js": 14,
	"./module/kwNavigator": 18,
	"./module/kwNavigator.js": 18,
	"./module/kwRouter": 16,
	"./module/kwRouter.js": 16,
	"./module/kwTool": 17,
	"./module/kwTool.js": 17,
	"./module/picker": 19,
	"./module/picker.js": 19,
	"./pages": 4,
	"./pages/": 4,
	"./pages/index": 4,
	"./pages/index.vue": 4,
	"./pages/network": 28,
	"./pages/network.vue": 28,
	"./widget": 2,
	"./widget/": 2,
	"./widget/index": 2,
	"./widget/index.js": 2,
	"./widget/lib/appear": 21,
	"./widget/lib/appear.js": 21,
	"./widget/lib/auth": 22,
	"./widget/lib/auth.js": 22,
	"./widget/lib/axios": 10,
	"./widget/lib/axios.js": 10,
	"./widget/lib/dom": 12,
	"./widget/lib/dom.js": 12,
	"./widget/lib/global": 23,
	"./widget/lib/global.js": 23,
	"./widget/lib/modal": 11,
	"./widget/lib/modal.js": 11,
	"./widget/lib/nav": 24,
	"./widget/lib/nav.js": 24,
	"./widget/lib/picker": 25,
	"./widget/lib/picker.js": 25,
	"./widget/lib/router": 9,
	"./widget/lib/router.js": 9,
	"./widget/lib/storage": 26,
	"./widget/lib/storage.js": 26,
	"./widget/lib/tools": 27,
	"./widget/lib/tools.js": 27
};
function webpackContext(req) {
	return __webpack_require__(webpackContextResolve(req));
};
function webpackContextResolve(req) {
	var id = map[req];
	if(!(id + 1)) // check for number or string
		throw new Error("Cannot find module '" + req + "'.");
	return id;
};
webpackContext.keys = function webpackContextKeys() {
	return Object.keys(map);
};
webpackContext.resolve = webpackContextResolve;
module.exports = webpackContext;
webpackContext.id = 48;

/***/ }),
/* 49 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = __webpack_require__(50);

/***/ }),
/* 50 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(0);
var bind = __webpack_require__(31);
var Axios = __webpack_require__(52);
var defaults = __webpack_require__(15);

/**
 * Create an instance of Axios
 *
 * @param {Object} defaultConfig The default config for the instance
 * @return {Axios} A new instance of Axios
 */
function createInstance(defaultConfig) {
  var context = new Axios(defaultConfig);
  var instance = bind(Axios.prototype.request, context);

  // Copy axios.prototype to instance
  utils.extend(instance, Axios.prototype, context);

  // Copy context to instance
  utils.extend(instance, context);

  return instance;
}

// Create the default instance to be exported
var axios = createInstance(defaults);

// Expose Axios class to allow class inheritance
axios.Axios = Axios;

// Factory for creating new instances
axios.create = function create(instanceConfig) {
  return createInstance(utils.merge(defaults, instanceConfig));
};

// Expose Cancel & CancelToken
axios.Cancel = __webpack_require__(35);
axios.CancelToken = __webpack_require__(66);
axios.isCancel = __webpack_require__(34);

// Expose all/spread
axios.all = function all(promises) {
  return Promise.all(promises);
};
axios.spread = __webpack_require__(67);

module.exports = axios;

// Allow use of default import syntax in TypeScript
module.exports.default = axios;

/***/ }),
/* 51 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/*!
 * Determine if an object is a Buffer
 *
 * @author   Feross Aboukhadijeh <https://feross.org>
 * @license  MIT
 */

// The _isBuffer check is for Safari 5-7 support, because it's missing
// Object.prototype.constructor. Remove this eventually
module.exports = function (obj) {
  return obj != null && (isBuffer(obj) || isSlowBuffer(obj) || !!obj._isBuffer);
};

function isBuffer(obj) {
  return !!obj.constructor && typeof obj.constructor.isBuffer === 'function' && obj.constructor.isBuffer(obj);
}

// For Node v0.10 support. Remove this eventually.
function isSlowBuffer(obj) {
  return typeof obj.readFloatLE === 'function' && typeof obj.slice === 'function' && isBuffer(obj.slice(0, 0));
}

/***/ }),
/* 52 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var defaults = __webpack_require__(15);
var utils = __webpack_require__(0);
var InterceptorManager = __webpack_require__(61);
var dispatchRequest = __webpack_require__(62);

/**
 * Create a new instance of Axios
 *
 * @param {Object} instanceConfig The default config for the instance
 */
function Axios(instanceConfig) {
  this.defaults = instanceConfig;
  this.interceptors = {
    request: new InterceptorManager(),
    response: new InterceptorManager()
  };
}

/**
 * Dispatch a request
 *
 * @param {Object} config The config specific for this request (merged with this.defaults)
 */
Axios.prototype.request = function request(config) {
  /*eslint no-param-reassign:0*/
  // Allow for axios('example/url'[, config]) a la fetch API
  if (typeof config === 'string') {
    config = utils.merge({
      url: arguments[0]
    }, arguments[1]);
  }

  config = utils.merge(defaults, { method: 'get' }, this.defaults, config);
  config.method = config.method.toLowerCase();

  // Hook up interceptors middleware
  var chain = [dispatchRequest, undefined];
  var promise = Promise.resolve(config);

  this.interceptors.request.forEach(function unshiftRequestInterceptors(interceptor) {
    chain.unshift(interceptor.fulfilled, interceptor.rejected);
  });

  this.interceptors.response.forEach(function pushResponseInterceptors(interceptor) {
    chain.push(interceptor.fulfilled, interceptor.rejected);
  });

  while (chain.length) {
    promise = promise.then(chain.shift(), chain.shift());
  }

  return promise;
};

// Provide aliases for supported request methods
utils.forEach(['delete', 'get', 'head', 'options'], function forEachMethodNoData(method) {
  /*eslint func-names:0*/
  Axios.prototype[method] = function (url, config) {
    return this.request(utils.merge(config || {}, {
      method: method,
      url: url
    }));
  };
});

utils.forEach(['post', 'put', 'patch'], function forEachMethodWithData(method) {
  /*eslint func-names:0*/
  Axios.prototype[method] = function (url, data, config) {
    return this.request(utils.merge(config || {}, {
      method: method,
      url: url,
      data: data
    }));
  };
});

module.exports = Axios;

/***/ }),
/* 53 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(0);

module.exports = function normalizeHeaderName(headers, normalizedName) {
  utils.forEach(headers, function processHeader(value, name) {
    if (name !== normalizedName && name.toUpperCase() === normalizedName.toUpperCase()) {
      headers[normalizedName] = value;
      delete headers[name];
    }
  });
};

/***/ }),
/* 54 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var createError = __webpack_require__(33);

/**
 * Resolve or reject a Promise based on response status.
 *
 * @param {Function} resolve A function that resolves the promise.
 * @param {Function} reject A function that rejects the promise.
 * @param {object} response The response.
 */
module.exports = function settle(resolve, reject, response) {
  var validateStatus = response.config.validateStatus;
  // Note: status is not exposed by XDomainRequest
  if (!response.status || !validateStatus || validateStatus(response.status)) {
    resolve(response);
  } else {
    reject(createError('Request failed with status code ' + response.status, response.config, null, response.request, response));
  }
};

/***/ }),
/* 55 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Update an Error with the specified config, error code, and response.
 *
 * @param {Error} error The error to update.
 * @param {Object} config The config.
 * @param {string} [code] The error code (for example, 'ECONNABORTED').
 * @param {Object} [request] The request.
 * @param {Object} [response] The response.
 * @returns {Error} The error.
 */

module.exports = function enhanceError(error, config, code, request, response) {
  error.config = config;
  if (code) {
    error.code = code;
  }
  error.request = request;
  error.response = response;
  return error;
};

/***/ }),
/* 56 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(0);

function encode(val) {
  return encodeURIComponent(val).replace(/%40/gi, '@').replace(/%3A/gi, ':').replace(/%24/g, '$').replace(/%2C/gi, ',').replace(/%20/g, '+').replace(/%5B/gi, '[').replace(/%5D/gi, ']');
}

/**
 * Build a URL by appending params to the end
 *
 * @param {string} url The base of the url (e.g., http://www.google.com)
 * @param {object} [params] The params to be appended
 * @returns {string} The formatted url
 */
module.exports = function buildURL(url, params, paramsSerializer) {
  /*eslint no-param-reassign:0*/
  if (!params) {
    return url;
  }

  var serializedParams;
  if (paramsSerializer) {
    serializedParams = paramsSerializer(params);
  } else if (utils.isURLSearchParams(params)) {
    serializedParams = params.toString();
  } else {
    var parts = [];

    utils.forEach(params, function serialize(val, key) {
      if (val === null || typeof val === 'undefined') {
        return;
      }

      if (utils.isArray(val)) {
        key = key + '[]';
      } else {
        val = [val];
      }

      utils.forEach(val, function parseValue(v) {
        if (utils.isDate(v)) {
          v = v.toISOString();
        } else if (utils.isObject(v)) {
          v = JSON.stringify(v);
        }
        parts.push(encode(key) + '=' + encode(v));
      });
    });

    serializedParams = parts.join('&');
  }

  if (serializedParams) {
    url += (url.indexOf('?') === -1 ? '?' : '&') + serializedParams;
  }

  return url;
};

/***/ }),
/* 57 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(0);

// Headers whose duplicates are ignored by node
// c.f. https://nodejs.org/api/http.html#http_message_headers
var ignoreDuplicateOf = ['age', 'authorization', 'content-length', 'content-type', 'etag', 'expires', 'from', 'host', 'if-modified-since', 'if-unmodified-since', 'last-modified', 'location', 'max-forwards', 'proxy-authorization', 'referer', 'retry-after', 'user-agent'];

/**
 * Parse headers into an object
 *
 * ```
 * Date: Wed, 27 Aug 2014 08:58:49 GMT
 * Content-Type: application/json
 * Connection: keep-alive
 * Transfer-Encoding: chunked
 * ```
 *
 * @param {String} headers Headers needing to be parsed
 * @returns {Object} Headers parsed into an object
 */
module.exports = function parseHeaders(headers) {
  var parsed = {};
  var key;
  var val;
  var i;

  if (!headers) {
    return parsed;
  }

  utils.forEach(headers.split('\n'), function parser(line) {
    i = line.indexOf(':');
    key = utils.trim(line.substr(0, i)).toLowerCase();
    val = utils.trim(line.substr(i + 1));

    if (key) {
      if (parsed[key] && ignoreDuplicateOf.indexOf(key) >= 0) {
        return;
      }
      if (key === 'set-cookie') {
        parsed[key] = (parsed[key] ? parsed[key] : []).concat([val]);
      } else {
        parsed[key] = parsed[key] ? parsed[key] + ', ' + val : val;
      }
    }
  });

  return parsed;
};

/***/ }),
/* 58 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(0);

module.exports = utils.isStandardBrowserEnv() ?

// Standard browser envs have full support of the APIs needed to test
// whether the request URL is of the same origin as current location.
function standardBrowserEnv() {
  var msie = /(msie|trident)/i.test(navigator.userAgent);
  var urlParsingNode = document.createElement('a');
  var originURL;

  /**
  * Parse a URL to discover it's components
  *
  * @param {String} url The URL to be parsed
  * @returns {Object}
  */
  function resolveURL(url) {
    var href = url;

    if (msie) {
      // IE needs attribute set twice to normalize properties
      urlParsingNode.setAttribute('href', href);
      href = urlParsingNode.href;
    }

    urlParsingNode.setAttribute('href', href);

    // urlParsingNode provides the UrlUtils interface - http://url.spec.whatwg.org/#urlutils
    return {
      href: urlParsingNode.href,
      protocol: urlParsingNode.protocol ? urlParsingNode.protocol.replace(/:$/, '') : '',
      host: urlParsingNode.host,
      search: urlParsingNode.search ? urlParsingNode.search.replace(/^\?/, '') : '',
      hash: urlParsingNode.hash ? urlParsingNode.hash.replace(/^#/, '') : '',
      hostname: urlParsingNode.hostname,
      port: urlParsingNode.port,
      pathname: urlParsingNode.pathname.charAt(0) === '/' ? urlParsingNode.pathname : '/' + urlParsingNode.pathname
    };
  }

  originURL = resolveURL(window.location.href);

  /**
  * Determine if a URL shares the same origin as the current location
  *
  * @param {String} requestURL The URL to test
  * @returns {boolean} True if URL shares the same origin, otherwise false
  */
  return function isURLSameOrigin(requestURL) {
    var parsed = utils.isString(requestURL) ? resolveURL(requestURL) : requestURL;
    return parsed.protocol === originURL.protocol && parsed.host === originURL.host;
  };
}() :

// Non standard browser envs (web workers, react-native) lack needed support.
function nonStandardBrowserEnv() {
  return function isURLSameOrigin() {
    return true;
  };
}();

/***/ }),
/* 59 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


// btoa polyfill for IE<10 courtesy https://github.com/davidchambers/Base64.js

var chars = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=';

function E() {
  this.message = 'String contains an invalid character';
}
E.prototype = new Error();
E.prototype.code = 5;
E.prototype.name = 'InvalidCharacterError';

function btoa(input) {
  var str = String(input);
  var output = '';
  for (
  // initialize result and counter
  var block, charCode, idx = 0, map = chars;
  // if the next str index does not exist:
  //   change the mapping table to "="
  //   check if d has no fractional digits
  str.charAt(idx | 0) || (map = '=', idx % 1);
  // "8 - idx % 1 * 8" generates the sequence 2, 4, 6, 8
  output += map.charAt(63 & block >> 8 - idx % 1 * 8)) {
    charCode = str.charCodeAt(idx += 3 / 4);
    if (charCode > 0xFF) {
      throw new E();
    }
    block = block << 8 | charCode;
  }
  return output;
}

module.exports = btoa;

/***/ }),
/* 60 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(0);

module.exports = utils.isStandardBrowserEnv() ?

// Standard browser envs support document.cookie
function standardBrowserEnv() {
  return {
    write: function write(name, value, expires, path, domain, secure) {
      var cookie = [];
      cookie.push(name + '=' + encodeURIComponent(value));

      if (utils.isNumber(expires)) {
        cookie.push('expires=' + new Date(expires).toGMTString());
      }

      if (utils.isString(path)) {
        cookie.push('path=' + path);
      }

      if (utils.isString(domain)) {
        cookie.push('domain=' + domain);
      }

      if (secure === true) {
        cookie.push('secure');
      }

      document.cookie = cookie.join('; ');
    },

    read: function read(name) {
      var match = document.cookie.match(new RegExp('(^|;\\s*)(' + name + ')=([^;]*)'));
      return match ? decodeURIComponent(match[3]) : null;
    },

    remove: function remove(name) {
      this.write(name, '', Date.now() - 86400000);
    }
  };
}() :

// Non standard browser env (web workers, react-native) lack needed support.
function nonStandardBrowserEnv() {
  return {
    write: function write() {},
    read: function read() {
      return null;
    },
    remove: function remove() {}
  };
}();

/***/ }),
/* 61 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(0);

function InterceptorManager() {
  this.handlers = [];
}

/**
 * Add a new interceptor to the stack
 *
 * @param {Function} fulfilled The function to handle `then` for a `Promise`
 * @param {Function} rejected The function to handle `reject` for a `Promise`
 *
 * @return {Number} An ID used to remove interceptor later
 */
InterceptorManager.prototype.use = function use(fulfilled, rejected) {
  this.handlers.push({
    fulfilled: fulfilled,
    rejected: rejected
  });
  return this.handlers.length - 1;
};

/**
 * Remove an interceptor from the stack
 *
 * @param {Number} id The ID that was returned by `use`
 */
InterceptorManager.prototype.eject = function eject(id) {
  if (this.handlers[id]) {
    this.handlers[id] = null;
  }
};

/**
 * Iterate over all the registered interceptors
 *
 * This method is particularly useful for skipping over any
 * interceptors that may have become `null` calling `eject`.
 *
 * @param {Function} fn The function to call for each interceptor
 */
InterceptorManager.prototype.forEach = function forEach(fn) {
  utils.forEach(this.handlers, function forEachHandler(h) {
    if (h !== null) {
      fn(h);
    }
  });
};

module.exports = InterceptorManager;

/***/ }),
/* 62 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(0);
var transformData = __webpack_require__(63);
var isCancel = __webpack_require__(34);
var defaults = __webpack_require__(15);
var isAbsoluteURL = __webpack_require__(64);
var combineURLs = __webpack_require__(65);

/**
 * Throws a `Cancel` if cancellation has been requested.
 */
function throwIfCancellationRequested(config) {
  if (config.cancelToken) {
    config.cancelToken.throwIfRequested();
  }
}

/**
 * Dispatch a request to the server using the configured adapter.
 *
 * @param {object} config The config that is to be used for the request
 * @returns {Promise} The Promise to be fulfilled
 */
module.exports = function dispatchRequest(config) {
  throwIfCancellationRequested(config);

  // Support baseURL config
  if (config.baseURL && !isAbsoluteURL(config.url)) {
    config.url = combineURLs(config.baseURL, config.url);
  }

  // Ensure headers exist
  config.headers = config.headers || {};

  // Transform request data
  config.data = transformData(config.data, config.headers, config.transformRequest);

  // Flatten headers
  config.headers = utils.merge(config.headers.common || {}, config.headers[config.method] || {}, config.headers || {});

  utils.forEach(['delete', 'get', 'head', 'post', 'put', 'patch', 'common'], function cleanHeaderConfig(method) {
    delete config.headers[method];
  });

  var adapter = config.adapter || defaults.adapter;

  return adapter(config).then(function onAdapterResolution(response) {
    throwIfCancellationRequested(config);

    // Transform response data
    response.data = transformData(response.data, response.headers, config.transformResponse);

    return response;
  }, function onAdapterRejection(reason) {
    if (!isCancel(reason)) {
      throwIfCancellationRequested(config);

      // Transform response data
      if (reason && reason.response) {
        reason.response.data = transformData(reason.response.data, reason.response.headers, config.transformResponse);
      }
    }

    return Promise.reject(reason);
  });
};

/***/ }),
/* 63 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(0);

/**
 * Transform the data for a request or a response
 *
 * @param {Object|String} data The data to be transformed
 * @param {Array} headers The headers for the request or response
 * @param {Array|Function} fns A single function or Array of functions
 * @returns {*} The resulting transformed data
 */
module.exports = function transformData(data, headers, fns) {
  /*eslint no-param-reassign:0*/
  utils.forEach(fns, function transform(fn) {
    data = fn(data, headers);
  });

  return data;
};

/***/ }),
/* 64 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Determines whether the specified URL is absolute
 *
 * @param {string} url The URL to test
 * @returns {boolean} True if the specified URL is absolute, otherwise false
 */

module.exports = function isAbsoluteURL(url) {
  // A URL is considered absolute if it begins with "<scheme>://" or "//" (protocol-relative URL).
  // RFC 3986 defines scheme name as a sequence of characters beginning with a letter and followed
  // by any combination of letters, digits, plus, period, or hyphen.
  return (/^([a-z][a-z\d\+\-\.]*:)?\/\//i.test(url)
  );
};

/***/ }),
/* 65 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Creates a new URL by combining the specified URLs
 *
 * @param {string} baseURL The base URL
 * @param {string} relativeURL The relative URL
 * @returns {string} The combined URL
 */

module.exports = function combineURLs(baseURL, relativeURL) {
  return relativeURL ? baseURL.replace(/\/+$/, '') + '/' + relativeURL.replace(/^\/+/, '') : baseURL;
};

/***/ }),
/* 66 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var Cancel = __webpack_require__(35);

/**
 * A `CancelToken` is an object that can be used to request cancellation of an operation.
 *
 * @class
 * @param {Function} executor The executor function.
 */
function CancelToken(executor) {
  if (typeof executor !== 'function') {
    throw new TypeError('executor must be a function.');
  }

  var resolvePromise;
  this.promise = new Promise(function promiseExecutor(resolve) {
    resolvePromise = resolve;
  });

  var token = this;
  executor(function cancel(message) {
    if (token.reason) {
      // Cancellation has already been requested
      return;
    }

    token.reason = new Cancel(message);
    resolvePromise(token.reason);
  });
}

/**
 * Throws a `Cancel` if cancellation has been requested.
 */
CancelToken.prototype.throwIfRequested = function throwIfRequested() {
  if (this.reason) {
    throw this.reason;
  }
};

/**
 * Returns an object that contains a new `CancelToken` and a function that, when called,
 * cancels the `CancelToken`.
 */
CancelToken.source = function source() {
  var cancel;
  var token = new CancelToken(function executor(c) {
    cancel = c;
  });
  return {
    token: token,
    cancel: cancel
  };
};

module.exports = CancelToken;

/***/ }),
/* 67 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Syntactic sugar for invoking a function and expanding an array for arguments.
 *
 * Common use case would be to use `Function.prototype.apply`.
 *
 *  ```js
 *  function f(x, y, z) {}
 *  var args = [1, 2, 3];
 *  f.apply(null, args);
 *  ```
 *
 * With `spread` this example can be re-written.
 *
 *  ```js
 *  spread(function(x, y, z) {})([1, 2, 3]);
 *  ```
 *
 * @param {Function} callback
 * @returns {Function}
 */

module.exports = function spread(callback) {
  return function wrap(arr) {
    return callback.apply(null, arr);
  };
};

/***/ }),
/* 68 */
/***/ (function(module, exports) {

module.exports = {
  "theme": {
    "backgroundColor": "rgba(255,255,255,1)"
  },
  "immersion": {
    "backgroundColor": "rgba(44,44,44,1)"
  },
  "warp": {
    "alignItems": "center"
  },
  "pic": {
    "marginTop": "241",
    "width": "570",
    "height": "393"
  },
  "txt": {
    "fontFamily": "'PingFangSC'",
    "color": "#666666",
    "fontSize": "30",
    "marginTop": "20",
    "marginBottom": "212"
  }
}

/***/ }),
/* 69 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _kwButton = __webpack_require__(5);

var _kwButton2 = _interopRequireDefault(_kwButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    components: {
        KwButton: _kwButton2.default
    },
    data: function data() {
        return {
            skinType: 'theme'
        };
    },

    computed: {
        pic: function pic() {
            var pic = {
                theme: __webpack_require__(7),
                immersion: __webpack_require__(8)
            };
            var type = typeof this.kweex.skin.type === 'undefined' ? 'theme' : this.kweex.skin.type;
            this.skinType = type;
            return pic[type];
        }
    },
    methods: {
        refresh: function refresh(event) {
            if (Object.keys(this.kweex.refreshPage).length > 0) {
                this.$router.refreshOpen(this.kweex.refreshPage);
            } else {
                this.$router.refresh();
            }
        }
    }
}; //
//
//
//
//
//
//
//
//
//

/***/ }),
/* 70 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('scroller', {
    class: [_vm.skinType === 'theme' ? 'theme' : 'immersion']
  }, [_c('div', {
    staticClass: ["warp"]
  }, [_c('image', {
    staticClass: ["pic"],
    attrs: {
      "src": _vm.pic
    }
  }), _c('text', {
    staticClass: ["txt"]
  }, [_vm._v("网络错误，刷新一下吧")]), _c('KwButton', {
    attrs: {
      "text": "刷新一下"
    },
    on: {
      "actionClick": _vm.refresh
    }
  })], 1)])
},staticRenderFns: []}

/***/ }),
/* 71 */,
/* 72 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_Pages_network_vue__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_Pages_network_vue___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_Pages_network_vue__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_Config__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_Config___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_Config__);


__WEBPACK_IMPORTED_MODULE_0_Pages_network_vue___default.a.el = '#root';
Vue.prototype.$appid = '400000';
new Vue(__WEBPACK_IMPORTED_MODULE_0_Pages_network_vue___default.a);

/***/ })
/******/ ]);